{
	"compilerOptions": {
		"baseUrl": ".",
		"inlineSourceMap": true,
		"inlineSources": true,
		"module": "ESNext",
		"target": "ES2019", // Обновляем таргет до ES2019
		"allowJs": true,
		"noImplicitAny": true,
		"moduleResolution": "node",
		"importHelpers": true,
		"isolatedModules": true,
		"strictNullChecks": true,
		"lib": [
			"DOM",
			"ESNext" // Используем ESNext для более полного набора API
		],
		"jsx": "react-jsx", // Включаем поддержку JSX
		"esModuleInterop": true, // Включаем для лучшей совместимости импортов
		"skipLibCheck": true, // Пропускаем проверку типов в библиотеках
		"forceConsistentCasingInFileNames": true // Обеспечиваем единообразие в именах файлов
	},
	"include": [
		"**/*.ts",
		"**/*.tsx" // Добавляем поддержку TSX файлов
	]
}
